## gimpimageselect gimpimageselect |

## Functions

gboolean | gimp_image_select_color ()
gboolean | gimp_image_select_contiguous_color ()
gboolean | gimp_image_select_rectangle ()
gboolean | gimp_image_select_round_rectangle ()
gboolean | gimp_image_select_ellipse ()
gboolean | gimp_image_select_polygon ()
gboolean | gimp_image_select_item ()

## Description

## Functions

### gimp_image_select_color ()

    gboolean
    gimp_image_select_color (gint32 image_ID,
                             GimpChannelOps operation,
                             gint32 drawable_ID,
                             const GimpRGB *color);

Since: GIMP 2.8

### gimp_image_select_contiguous_color ()

    gboolean
    gimp_image_select_contiguous_color (gint32 image_ID,
                                        GimpChannelOps operation,
                                        gint32 drawable_ID,
                                        gdouble x,
                                        gdouble y);

Since: GIMP 2.8

### gimp_image_select_rectangle ()

    gboolean
    gimp_image_select_rectangle (gint32 image_ID,
                                 GimpChannelOps operation,
                                 gdouble x,
                                 gdouble y,
                                 gdouble width,
                                 gdouble height);

Since: GIMP 2.8

### gimp_image_select_round_rectangle ()

    gboolean
    gimp_image_select_round_rectangle (gint32 image_ID,
                                       GimpChannelOps operation,
                                       gdouble x,
                                       gdouble y,
                                       gdouble width,
                                       gdouble height,
                                       gdouble corner_radius_x,
                                       gdouble corner_radius_y);

Since: GIMP 2.8

### gimp_image_select_ellipse ()

    gboolean
    gimp_image_select_ellipse (gint32 image_ID,
                               GimpChannelOps operation,
                               gdouble x,
                               gdouble y,
                               gdouble width,
                               gdouble height);

Since: GIMP 2.8

### gimp_image_select_polygon ()

    gboolean
    gimp_image_select_polygon (gint32 image_ID,
                               GimpChannelOps operation,
                               gint num_segs,
                               const gdouble *segs);

Since: GIMP 2.8

### gimp_image_select_item ()

    gboolean
    gimp_image_select_item (gint32 image_ID,
                            GimpChannelOps operation,
                            gint32 item_ID);

Since: GIMP 2.8

## Types and Values